导入操作
命名空间:microsoft.graph
注意: 适用于 Intune 的 Microsoft Graph API 需要适用于租户的 活动 Intune 许可证。
尚未记录
先决条件
要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限。
| 权限类型 | 权限(从最低特权到最高特权) |
|---|---|
| 委派(工作或学校帐户) | DeviceManagementServiceConfig.ReadWrite.All |
| 委派(个人 Microsoft 帐户) | 不支持。 |
| 应用程序 | DeviceManagementServiceConfig.ReadWrite.All |
HTTP 请求
POST /deviceManagement/importedWindowsAutopilotDeviceIdentities/import
请求标头
| 标头 | 值 |
|---|---|
| Authorization | Bearer <token>。必需。 |
| 接受 | application/json |
请求正文
在请求正文中,提供参数的 JSON 表示形式。
下表显示了可用于此操作的参数。
| 属性 | 类型 | 说明 |
|---|---|---|
| importedWindowsAutopilotDeviceIdentities | importedWindowsAutopilotDeviceIdentity 集合 | 尚未记录 |
响应
如果成功,此操作在响应正文中返回 200 OK 响应代码和 importedWindowsAutopilotDeviceIdentity 集合。
示例
请求
下面是一个请求示例。
POST https://graph.microsoft.com/v1.0/deviceManagement/importedWindowsAutopilotDeviceIdentities/import
Content-type: application/json
Content-length: 808
{
"importedWindowsAutopilotDeviceIdentities": [
{
"@odata.type": "#microsoft.graph.importedWindowsAutopilotDeviceIdentity",
"id": "985b4f49-4f49-985b-494f-5b98494f5b98",
"groupTag": "Group Tag value",
"serialNumber": "Serial Number value",
"productKey": "Product Key value",
"importId": "Import Id value",
"hardwareIdentifier": "aGFyZHdhcmVJZGVudGlmaWVy",
"state": {
"@odata.type": "microsoft.graph.importedWindowsAutopilotDeviceIdentityState",
"deviceImportStatus": "pending",
"deviceRegistrationId": "Device Registration Id value",
"deviceErrorCode": 15,
"deviceErrorName": "Device Error Name value"
},
"assignedUserPrincipalName": "Assigned User Principal Name value"
}
]
}
响应
下面是一个响应示例。注意:为了简单起见,可能会将此处所示的响应对象截断。将从实际调用中返回所有属性。
HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: 773
{
"value": [
{
"@odata.type": "#microsoft.graph.importedWindowsAutopilotDeviceIdentity",
"id": "985b4f49-4f49-985b-494f-5b98494f5b98",
"groupTag": "Group Tag value",
"serialNumber": "Serial Number value",
"productKey": "Product Key value",
"importId": "Import Id value",
"hardwareIdentifier": "aGFyZHdhcmVJZGVudGlmaWVy",
"state": {
"@odata.type": "microsoft.graph.importedWindowsAutopilotDeviceIdentityState",
"deviceImportStatus": "pending",
"deviceRegistrationId": "Device Registration Id value",
"deviceErrorCode": 15,
"deviceErrorName": "Device Error Name value"
},
"assignedUserPrincipalName": "Assigned User Principal Name value"
}
]
}
反馈
提交和查看相关反馈